<?php
// Обнуляем поля группы и пользователя в связанных с пользователями таблицах, если пользователь был удален
$result = run_query("SELECT id, user_table_link FROM `" . $config['table_prefix'] . "tables` WHERE `user_table_link`!=''");
while ($row = sql_fetch_assoc($result)) {
    $table_id = $row['id'];
    $user_table_fields = unserialize($row['user_table_link']);
    $result2 = run_query("SELECT id, f" . $user_table_fields['login'] . " as login FROM `" . $config['table_prefix'] . "data" . $table_id . "`");
    while ($row2 = sql_fetch_assoc($result2)) {
        $line_id = $row2['id'];
        $result3 = run_query("SELECT id FROM `" . $config['table_prefix'] . "users` WHERE `login`='" . addslashes($row2['login']) . "'");
        if (!sql_num_rows($result3)) { // пользователь не найден, обнуляем поля
            run_query("UPDATE `" . $config['table_prefix'] . "data" . $table_id . "` SET f" . $user_table_fields['group_id'] . "=0, f" . $user_table_fields['user_id'] . "=0 WHERE `id`=" . $line_id);
        }
    }
}
?>